FAXANSWER(8)

NAME
faxanswer - tell a HylaFAX server to answer the telephone

SYNOPSIS
/usr/sbin/faxanswer [ -q queue-dir ] [ -h how ] modem

DESCRIPTION
faxanswer sends a message to the HylaFAX faxgetty(8) process servicing modem telling it to answer the telephone. This is useful, for example, when a modem is used on a shared phone line and the server is configured to not normally answer the phone.

The specified modem can either be the name (typically the last component of the terminal port the modem is attached to), or the full name of the associated FIFO named pipe file, e.g. ``FIFO.ttym2''.

OPTIONS

-q dir
    Use a spooling area other than /var/spool/hylafax.

-h  Specify exactly how the phone should be answered. By default, the server process is instructed to answer the phone and accept any kind of call (voice, data, fax). Discrimination of the type of call is dependent on a modem's adaptive-answer support. The -h option can be used to force the server to answer the phone for particular type of call: one of fax, data, voice, any, extern (to force faxgetty to invoke an external application to to handle the call), or dialX (where X is a dialstring to dial before initiating a fax reception). If using dialX, the specified dialstring will likely need to end with a semicolon (``;'').

FILES
/var/spool/hylafax	default spooling area
/var/spool/hylafax/FIFO	fifo for contacting faxq

Consult hylafax-server(5) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(5), faxgetty(8)